Bug 1312915 - [abrt] lftp: Log::WillOutput(): lftp killed by SIGSEGV [NEEDINFO]
[abrt] lftp: Log::WillOutput(): lftp killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Ruprich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:39d8a00b650056b51fc4a682dfe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 09:11 EST by Jared Smith
Modified: 2017-05-16 06:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-16 06:34:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mruprich: needinfo? (jsmith.fedora)


Attachments (Terms of Use)
File: backtrace (5.95 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: cgroup (259 bytes, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: core_backtrace (3.27 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: dso_list (2.44 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: environ (3.43 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: maps (7.20 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: mountinfo (3.91 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: open_fds (140 bytes, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details
File: var_log_messages (318 bytes, text/plain)
2016-02-29 09:11 EST, Jared Smith
no flags Details

  None (edit)
Description Jared Smith 2016-02-29 09:11:41 EST
Description of problem:
Tried using lftp, and it segfaulted

Version-Release number of selected component:
lftp-4.6.5-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        lftp
crash_function: Log::WillOutput
executable:     /usr/bin/lftp
global_pid:     19162
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1975

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Log::WillOutput at log.cc:47
 #1 Log::Format at log.cc:108
 #2 NumberPair::Set at ResMgr.cc:716
 #3 NumberPair::init at ResMgr.cc:671
 #4 NumberPair::NumberPair at ResMgr.h:205
 #5 ResMgr::UNumberPairValidate at ResMgr.cc:867
 #6 ResType::ClassInit at resource.cc:423
 #7 FileAccess::ClassInit at FileAccess.cc:1067
 #8 FileAccess::Init at FileAccess.cc:51
 #9 FileAccess::FileAccess at FileAccess.h:268
Comment 1 Jared Smith 2016-02-29 09:11:46 EST
Created attachment 1131550 [details]
File: backtrace
Comment 2 Jared Smith 2016-02-29 09:11:47 EST
Created attachment 1131551 [details]
File: cgroup
Comment 3 Jared Smith 2016-02-29 09:11:48 EST
Created attachment 1131552 [details]
File: core_backtrace
Comment 4 Jared Smith 2016-02-29 09:11:49 EST
Created attachment 1131553 [details]
File: dso_list
Comment 5 Jared Smith 2016-02-29 09:11:50 EST
Created attachment 1131554 [details]
File: environ
Comment 6 Jared Smith 2016-02-29 09:11:51 EST
Created attachment 1131555 [details]
File: exploitable
Comment 7 Jared Smith 2016-02-29 09:11:52 EST
Created attachment 1131556 [details]
File: limits
Comment 8 Jared Smith 2016-02-29 09:11:54 EST
Created attachment 1131557 [details]
File: maps
Comment 9 Jared Smith 2016-02-29 09:11:55 EST
Created attachment 1131558 [details]
File: mountinfo
Comment 10 Jared Smith 2016-02-29 09:11:56 EST
Created attachment 1131559 [details]
File: namespaces
Comment 11 Jared Smith 2016-02-29 09:11:57 EST
Created attachment 1131560 [details]
File: open_fds
Comment 12 Jared Smith 2016-02-29 09:11:58 EST
Created attachment 1131561 [details]
File: proc_pid_status
Comment 13 Jared Smith 2016-02-29 09:11:59 EST
Created attachment 1131562 [details]
File: var_log_messages
Comment 14 Jared Smith 2016-03-04 16:30:21 EST
Similar problem has been detected:

Tried running 'lftp', and it segfaulted immediately.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        lftp et
crash_function: Log::WillOutput
executable:     /usr/bin/lftp
global_pid:     5843
kernel:         4.5.0-0.rc5.git0.2.fc25.x86_64
package:        lftp-4.6.5-3.fc24
reason:         lftp killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1975
Comment 15 Jan Kurik 2016-07-26 00:36:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 16 Fedora Admin XMLRPC Client 2016-09-12 08:54:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Michal Ruprich 2017-05-03 05:03:47 EDT
The latest version of lftp-4.7.0 on f24 doesn't end with segfault. Are you able to confirm this Jared?

Note You need to log in before you can comment on or make changes to this bug.